/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PrecioVentaja;
import com.rjconsultores.ventaboletos.entidad.Secretaria;

import org.zkoss.util.resource.Labels;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Igor
 */
public class RenderPrecioVentaja implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PrecioVentaja precioVentaja = (PrecioVentaja) o;

        Listcell lc = new Listcell(precioVentaja.getPrecioVentajaId() == null ? "" : precioVentaja.getPrecioVentajaId().toString());
        lc.setParent(lstm);
        
        if(precioVentaja.getCorridaId() != null){
        	 lc = new Listcell(precioVentaja.getCorridaId().toString());
             lc.setParent(lstm);
        }else{
        	 lc = new Listcell("");
             lc.setParent(lstm);
        }
        
        if(precioVentaja.getRutaPrecioId() != null){
        	 lc = new Listcell(precioVentaja.getRutaPrecioId().toString());
             lc.setParent(lstm);
        }else{
	       	 lc = new Listcell("");
	         lc.setParent(lstm);
        }
        
        if(precioVentaja.getOrigenPrecioId() != null){
        	 lc = new Listcell(precioVentaja.getOrigenPrecioId().toString());
             lc.setParent(lstm);             
        }else{
        	 lc = new Listcell("");
	         lc.setParent(lstm);
        }
       
        lc = new Listcell(precioVentaja.getDestinoPrecioId().toString());
        lc.setParent(lstm);

        lstm.setAttribute("data", precioVentaja);
    }
}
